package com.persagy.iot.app

import com.persagy.iot.bean.OriginalData
import org.apache.flink.streaming.api.scala.function.WindowFunction
import org.apache.flink.streaming.api.windowing.windows.TimeWindow
import org.apache.flink.util.Collector

class IOTWindowResult() extends WindowFunction[OriginalData, OriginalData, String, TimeWindow]{
  override def apply(key: String,
                     window: TimeWindow,
                     input: Iterable[OriginalData],
                     out: Collector[OriginalData]): Unit = {
    out.collect(input.head.copy(windowEnd = window.getEnd))
  }
}
