package com.persagy.iot.func

import com.persagy.iot.bean.OriginalData
import com.persagy.iot.utils.HbaseUtil
import org.apache.flink.configuration.Configuration
import org.apache.flink.streaming.api.functions.sink.{RichSinkFunction, SinkFunction}
import org.apache.hadoop.hbase.TableName
import org.apache.hadoop.hbase.client._
import org.apache.hadoop.hbase.util.Bytes


class IOTSinkFunction extends RichSinkFunction[OriginalData] {

  var conn: Connection = _
  var table: Table = _

  override def open(parameters: Configuration): Unit = {
    println("init Hbase 数据。。。")
    conn = HbaseUtil.getHbaseConnection()
  }

  override def invoke(value: OriginalData, context: SinkFunction.Context[_]): Unit = {
    val admin: Admin = conn.getAdmin

    val put = new Put(Bytes.toBytes(now()))


    println("insert Hbase 数据。。。")
  }

  override def close(): Unit = {
    println("close Hbase 数据。。。")
  }

  def now(): Long ={
    System.currentTimeMillis()
  }
}
